Important: Please read the Qt Code of Conduct - https://forum.qt.io/topic/113070/qt-code-of-conduct

Help i meet a problem with qt in raspberry pi 2



  • HI EVEYONE
    It is my first time to use the qt ;
    and I meet a sort of problem when I with it in raspberry pi ;
    my qt version is 4.6.7 ,thv7 then linux raspberry pi 4.1.17+
    It returns many error ,
    the most classical one is size_t does not name a type


  • Lifetime Qt Champion

    Hi and welcome to devnet,

    Qt 4.6.7 ? Looks pretty outdated, IIRC you should have at least a Qt 4.8 version available.

    Are you compiling directly on the Pi ?